Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReceipt.InvoiceClientInfo

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.InvoiceClientInfo

Enclosing class:
  cmdReceipt

    public static class cmdReceipt.InvoiceClientInfo
    extends cmdReceipt

Enter and save invoice client data

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.InvoiceClientInfo.BulstatType` |

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `cmdReceipt.BarcodeType, cmdReceipt.FiscalReceipt, cmdReceipt.InvoiceClientInfo, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaidMode, cmdReceipt.SeparatingLine, cmdReceipt.TotalResult`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InvoiceClientInfo​(java.lang.String EIK, cmdReceipt.InvoiceClientInfo.BulstatType typeOfEIK)` | Short Constructor
  `InvoiceClientInfo​(java.lang.String bulstat, cmdReceipt.InvoiceClientInfo.BulstatType typeBULSTAT, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2)` |
  `InvoiceClientInfo​(java.lang.String bulstat, cmdReceipt.InvoiceClientInfo.BulstatType typeOfBulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2, java.lang.String accountablePerson)` | All parameters constructor
  `InvoiceClientInfo​(java.lang.String EIK, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2)` | Case of EIK Constructor

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAccountablePerson()` |
  `java.lang.String` | `getBulstat()` |
  `java.lang.String` | `getClient()` |
  `java.lang.String` | `getClientAddress1()` |
  `java.lang.String` | `getClientAddress2()` |
  `java.lang.String` | `getClientTaxNo()` |
  `java.lang.String` | `getReceiver()` |
  `java.lang.String` | `getSeller()` |
  `cmdReceipt.InvoiceClientInfo.BulstatType` | `getTypeBULSTAT()` |
  `boolean[]` | `isValid()` |
  `void` | `printClientInfo()` | Print invoice data
  `void` | `printClientInfo​(cmdReceipt.InvoiceClientInfo.BulstatType typeBULSTAT, java.lang.String bulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2, java.lang.String accountablePerson)` |
  `void` | `saveClientInfo()` | Print invoice data
  `void` | `saveClientInfo​(java.lang.String EIK, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2)` | Enter and print invoice data in case of EIK
  `void` | `setAccountablePerson​(java.lang.String accountablePerson)` |
  `void` | `setBulstat​(java.lang.String bulstat)` |
  `void` | `setClient​(java.lang.String client)` |
  `void` | `setClientAddress1​(java.lang.String clientAddress1)` |
  `void` | `setClientAddress2​(java.lang.String clientAddress2)` |
  `void` | `setClientTaxNo​(java.lang.String clientTaxNo)` |
  `void` | `setReceiver​(java.lang.String receiver)` |
  `void` | `setSeller​(java.lang.String seller)` |
  `void` | `setTypeBULSTAT​(cmdReceipt.InvoiceClientInfo.BulstatType typeBULSTAT)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `printBarcode, setPrintBarcodeData`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceClientInfo

    public InvoiceClientInfo​(java.lang.String bulstat, cmdReceipt.InvoiceClientInfo.BulstatType typeOfBulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2, java.lang.String accountablePerson)
    All parameters constructor
    Parameters:
      `bulstat` - Customer's UIC. Between 9 and 14 characters.
      `typeOfBulstat` -
      `seller` - Seller's name. Up to 26 characters.
      `receiver` - Recipient's name. Up to 26 characters.
      `client` - Customer's name. Up to 26 characters.
      `clientTaxNo` - Customer's VAT number. Between 10 and 14 characters.
      `clientAddress1` - Customer's address 28 characters,
      `clientAddress2` - The second line has a maximum length of 34 characters.
      `accountablePerson` - Accountable Person

  - ### InvoiceClientInfo

    public InvoiceClientInfo​(java.lang.String EIK, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2)
    Case of EIK Constructor
    Parameters:
      `EIK` -
      `seller` -
      `receiver` -
      `client` -
      `clientTaxNo` -
      `clientAddress1` -
      `clientAddress2` -

  - ### InvoiceClientInfo

    public InvoiceClientInfo​(java.lang.String bulstat, cmdReceipt.InvoiceClientInfo.BulstatType typeBULSTAT, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2)
    Parameters:
      `bulstat` - - Customer's UIC. Between 9 and 14 characters.
      `typeBULSTAT` - - EIK,EGN,PersonalNum,ServiceNum;
      `seller` - - Seller's name. Up to 26 characters.
      `receiver` - - Recipient's name. Up to 26 characters.
      `client` - - Customer's name. Up to 26 characters.
      `clientTaxNo` - - Customer's VAT number. Between 10 and 14 characters.
      `clientAddress1` - - Customer's address. Up to two lines of text.
      `clientAddress2` -

  - ### InvoiceClientInfo

    public InvoiceClientInfo​(java.lang.String EIK, cmdReceipt.InvoiceClientInfo.BulstatType typeOfEIK)
    Short Constructor
    Parameters:
      `EIK` - -Customer's UIC. Between 9 and 14 characters.
      `typeOfEIK` - -

      * In the case of an empty parameter there is an empty space in invoice receipt to fill in a hand. * They must be executed immediately after total payment for a cumulative amount. * Then the close of the invoice receipt is allowed.

- ## Method Details

  - ### getAccountablePerson

    public java.lang.String getAccountablePerson()

  - ### setAccountablePerson

    public void setAccountablePerson​(java.lang.String accountablePerson)

  - ### getTypeBULSTAT

    public cmdReceipt.InvoiceClientInfo.BulstatType getTypeBULSTAT()

  - ### setTypeBULSTAT

    public void setTypeBULSTAT​(cmdReceipt.InvoiceClientInfo.BulstatType typeBULSTAT)

  - ### getClientAddress1

    public java.lang.String getClientAddress1()

  - ### setClientAddress1

    public void setClientAddress1​(java.lang.String clientAddress1)

  - ### getClientAddress2

    public java.lang.String getClientAddress2()

  - ### setClientAddress2

    public void setClientAddress2​(java.lang.String clientAddress2)

  - ### isValid

    public boolean[] isValid()
    Returns:
      res[0] Validation of EIK * res[1] Validation of Seller * res[2] Validation of Receiver * res[3] Validation of Client * res[4] Validation of TaxNo * res[5] Validation of Address

  - ### saveClientInfo

    public void saveClientInfo() throws java.lang.Exception
    Print invoice data
    Throws:
      `java.lang.Exception`

  - ### printClientInfo

    public void printClientInfo() throws java.lang.Exception
    Print invoice data
    Throws:
      `java.lang.Exception`

  - ### printClientInfo

    public void printClientInfo​(cmdReceipt.InvoiceClientInfo.BulstatType typeBULSTAT, java.lang.String bulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2, java.lang.String accountablePerson) throws java.lang.Exception
    Parameters:
      `typeBULSTAT` - - Customer's UIC. Between 9 and 14 characters.
      `seller` - - EIK,EGN,PersonalNum,ServiceNum;
      `receiver` - - Seller's name. Up to 26 characters.
      `client` - Recipient's name. Up to 26 characters.
      `clientTaxNo` - - Customer's name. Up to 26 characters.
      `clientAddress1` - - Customer's VAT number. Between 10 and 14 characters.
      `clientAddress2` - - Customer's address. Up to two lines of text.
    Throws:
      `java.lang.Exception`

  - ### saveClientInfo

    public void saveClientInfo​(java.lang.String EIK, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress1, java.lang.String clientAddress2) throws java.lang.Exception
    Enter and print invoice data in case of EIK
    Throws:
      `java.lang.Exception`

  - ### getBulstat

    public java.lang.String getBulstat()

  - ### setBulstat

    public void setBulstat​(java.lang.String bulstat)

  - ### getSeller

    public java.lang.String getSeller()

  - ### setSeller

    public void setSeller​(java.lang.String seller)

  - ### getReceiver

    public java.lang.String getReceiver()

  - ### setReceiver

    public void setReceiver​(java.lang.String receiver)

  - ### getClient

    public java.lang.String getClient()

  - ### setClient

    public void setClient​(java.lang.String client)

  - ### getClientTaxNo

    public java.lang.String getClientTaxNo()

  - ### setClientTaxNo

    public void setClientTaxNo​(java.lang.String clientTaxNo)